/* /Pages/Admin/AdminLayout.razor.rz.scp.css */
.page[b-rawke7c32w] {
    position: relative;
    display: flex;
    flex-direction: column;
}

.main[b-rawke7c32w] {
    flex: 1;
}

.sidebar[b-rawke7c32w] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-rawke7c32w] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-rawke7c32w]  a, .top-row .btn-link[b-rawke7c32w] {
        white-space: nowrap;
        margin-left: 1.5rem;
    }

    .top-row a:first-child[b-rawke7c32w] {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-rawke7c32w] {
        display: none;
    }

    .top-row.auth[b-rawke7c32w] {
        justify-content: space-between;
    }

    .top-row a[b-rawke7c32w], .top-row .btn-link[b-rawke7c32w] {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-rawke7c32w] {
        flex-direction: row;
    }

    .sidebar[b-rawke7c32w] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-rawke7c32w] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .main > div[b-rawke7c32w] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Pages/Admin/AdminMenu.razor.rz.scp.css */
.navbar-toggler[b-vpacv163sy] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-vpacv163sy] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-vpacv163sy] {
    font-size: 1.1rem;
}

.oi[b-vpacv163sy] {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

.nav-item[b-vpacv163sy] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-vpacv163sy] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-vpacv163sy] {
        padding-bottom: 1rem;
    }

    .nav-item[b-vpacv163sy]  a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

.nav-item[b-vpacv163sy]  a.active {
    background-color: rgba(255,255,255,0.25);
    color: white;
}

.nav-item[b-vpacv163sy]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

@media (min-width: 641px) {
    .navbar-toggler[b-vpacv163sy] {
        display: none;
    }

    .collapse[b-vpacv163sy] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}
/* /Pages/Admin/Index.razor.rz.scp.css */
.page[b-lgu6aye5jn] {
    position: relative;
    display: flex;
    flex-direction: column;
}

.main[b-lgu6aye5jn] {
    flex: 1;
}

.sidebar[b-lgu6aye5jn] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-lgu6aye5jn] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-lgu6aye5jn]  a, .top-row .btn-link[b-lgu6aye5jn] {
        white-space: nowrap;
        margin-left: 1.5rem;
    }

    .top-row a:first-child[b-lgu6aye5jn] {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-lgu6aye5jn] {
        display: none;
    }

    .top-row.auth[b-lgu6aye5jn] {
        justify-content: space-between;
    }

    .top-row a[b-lgu6aye5jn], .top-row .btn-link[b-lgu6aye5jn] {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-lgu6aye5jn] {
        flex-direction: row;
    }

    .sidebar[b-lgu6aye5jn] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-lgu6aye5jn] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .main > div[b-lgu6aye5jn] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Pages/Index.razor.rz.scp.css */
body[b-5eq58sw9qm] {
}

li[b-5eq58sw9qm] {
    list-style: none;
    display: inline-block;
}

ul[b-5eq58sw9qm] { margin:0px; padding:0px; }

td[b-5eq58sw9qm] {
    height: 40px;
    vertical-align: middle;
}

#tip[b-5eq58sw9qm] {
    text-align: center;
    font-size: 16px;
    padding: 30px;
}

/* /Pages/Login.razor.rz.scp.css */
.login-page[b-u5wwex5s4s] {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #f5f5f5;
}  

.login-card[b-u5wwex5s4s] {
    border-radius: 8px; /* 卡片圆角 */
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); /* 卡片阴影 */
}

.login-table[b-u5wwex5s4s] {
    width: 100%; /* 表格宽度100% */
    border-collapse: collapse; /* 去除内边距 */
}

    .login-table td[b-u5wwex5s4s] {
        padding: 8px; /* 单元格内边距 */
    }

.login-label[b-u5wwex5s4s] {
    width: 100px; /* 标签宽度固定，以确保对齐 */
    text-align: right; /* 标签文字右对齐 */
}
/* /Pages/Logout.razor.rz.scp.css */
.login-page[b-4veoa4u17h] {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #f5f5f5;
}  

.login-card[b-4veoa4u17h] {
    border-radius: 8px; /* 卡片圆角 */
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); /* 卡片阴影 */
}

.login-table[b-4veoa4u17h] {
    width: 100%; /* 表格宽度100% */
    border-collapse: collapse; /* 去除内边距 */
}

    .login-table td[b-4veoa4u17h] {
        padding: 8px; /* 单元格内边距 */
    }

.login-label[b-4veoa4u17h] {
    width: 100px; /* 标签宽度固定，以确保对齐 */
    text-align: right; /* 标签文字右对齐 */
}
/* /Pages/SignIn.razor.rz.scp.css */
.register-page[b-cd4ht5g6mg] {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #f5f5f5;
}

.register-card[b-cd4ht5g6mg] {
    border-radius: 8px; /* 卡片圆角 */
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); /* 卡片阴影 */
}

.register-table[b-cd4ht5g6mg] {
    width: 100%; /* 表格宽度100% */
    border-collapse: collapse; /* 去除内边距 */
}

    .register-table td[b-cd4ht5g6mg] {
        padding: 8px; /* 单元格内边距 */
    }

.register-label[b-cd4ht5g6mg] {
    width: 100px; /* 标签宽度固定，以确保对齐 */
    text-align: right; /* 标签文字右对齐 */
}
/* /Pages/User/Buy.razor.rz.scp.css */
body[b-2qvoidkxz5] {
}

li[b-2qvoidkxz5] {
    list-style: none;
    display: inline-block;
}

ul[b-2qvoidkxz5] { margin:0px; padding:0px; }

td[b-2qvoidkxz5] {
    height: 40px;
    vertical-align: middle;
}

.time[b-2qvoidkxz5] {
    width: 110px;
    height: 40px;
    line-height: 40px;
    cursor: pointer;
    border: 1px solid #ccc;
    float: left;
    margin: 0px -1px 0px 0px;
    padding: 0px;
    text-align: center;
}

.time_selected[b-2qvoidkxz5] {
    background-color: #21b8c6;
    color: #FFF;
}

.price[b-2qvoidkxz5] {
    color: #F00;
    font-size: 24px;
    padding-left: 5px;
    padding-right: 5px;
}

.pay[b-2qvoidkxz5] {
    margin-top: 10px;
    margin-bottom: 10px;
    background-color: transparent;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    -moz-background-size: 100% 100%;
    width: 212px;
    height: 52px;
    border: 1px solid #CCC;
    cursor: pointer;
}
.wxpay[b-2qvoidkxz5] {
    background-image: url(/images/wxpay.jpg);
}

.alipay[b-2qvoidkxz5] {
    background-image: url(/images/alipay.jpg);
}

.order[b-2qvoidkxz5] {
    margin-top: 10px;
    margin-bottom: 10px;
    background-color: transparent;
    background-image: url(/images/pay.jpg);
    background-repeat: no-repeat;
    background-size: 100% 100%;
    -moz-background-size: 100% 100%;
    width: 252px;
    height: 49px;
    border: medium none;
    cursor: pointer;
}

.pay_selected[b-2qvoidkxz5] {
    border: 1px solid #F00;
}

tr[b-2qvoidkxz5]
{
    height: 60px;
}
/* /Pages/User/BuyChannel.razor.rz.scp.css */
body[b-lr36tr6jjm] {
}

li[b-lr36tr6jjm] {
    list-style: none;
    display: inline-block;
}

ul[b-lr36tr6jjm] { margin:0px; padding:0px; }

td[b-lr36tr6jjm] {
    height: 40px;
    vertical-align: middle;
}

.time[b-lr36tr6jjm] {
    width: 90px;
    height: 40px;
    line-height: 40px;
    cursor: pointer;
    border: 1px solid #ccc;
    float: left;
    margin: 0px -1px 0px 0px;
    padding: 0px;
    text-align: center;
}

.time_selected[b-lr36tr6jjm] {
    background-color: #21b8c6;
    color: #FFF;
}

.price[b-lr36tr6jjm]
{
    color: #F00;
    font-size: 24px;
}

.panel[b-lr36tr6jjm] {
    margin-top: 20px;
}

.pay[b-lr36tr6jjm] {
    margin-top: 10px;
    margin-bottom: 10px;
    background-color: transparent;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    -moz-background-size: 100% 100%;
    width: 212px;
    height: 52px;
    border: 1px solid #CCC;
    cursor: pointer;
}
.wxpay[b-lr36tr6jjm] {
    background-image: url(/images/wxpay.jpg);
}

.alipay[b-lr36tr6jjm] {
    background-image: url(/images/alipay.jpg);
}

.order[b-lr36tr6jjm] {
    margin-top: 10px;
    margin-bottom: 10px;
    background-color: transparent;
    background-image: url(/images/pay.jpg);
    background-repeat: no-repeat;
    background-size: 100% 100%;
    -moz-background-size: 100% 100%;
    width: 252px;
    height: 49px;
    border: medium none;
    cursor: pointer;
}

.pay_selected[b-lr36tr6jjm] {
    border: 1px solid #F00;
}

p[b-lr36tr6jjm] { height: 30px; line-height:30px; }

.grid[b-lr36tr6jjm] 
{
    border: solid 1px #ddd;
    width: 500px;
}

    .grid th[b-lr36tr6jjm] {
        border: solid 1px #ddd;
        font-weight: bolder;
        text-align:center;
    }

    .grid td[b-lr36tr6jjm] {
        border: solid 1px #ddd;
        text-align: center;
    }

/* /Pages/User/CheckOrder.razor.rz.scp.css */
body[b-2476nvsm0d] {
}

li[b-2476nvsm0d] {
    list-style: none;
    display: inline-block;
}

ul[b-2476nvsm0d] { margin:0px; padding:0px; }

td[b-2476nvsm0d] {
    height: 40px;
    vertical-align: middle;
}

#tip[b-2476nvsm0d] {
    text-align: center;
    font-size: 16px;
    padding: 30px;
}

/* /Pages/User/Index.razor.rz.scp.css */
.page[b-l8xonqw2zm] {
    position: relative;
    display: flex;
    flex-direction: column;
}

.main[b-l8xonqw2zm] {
    flex: 1;
}

.sidebar[b-l8xonqw2zm] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-l8xonqw2zm] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-l8xonqw2zm]  a, .top-row .btn-link[b-l8xonqw2zm] {
        white-space: nowrap;
        margin-left: 1.5rem;
    }

    .top-row a:first-child[b-l8xonqw2zm] {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-l8xonqw2zm] {
        display: none;
    }

    .top-row.auth[b-l8xonqw2zm] {
        justify-content: space-between;
    }

    .top-row a[b-l8xonqw2zm], .top-row .btn-link[b-l8xonqw2zm] {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-l8xonqw2zm] {
        flex-direction: row;
    }

    .sidebar[b-l8xonqw2zm] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-l8xonqw2zm] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .main > div[b-l8xonqw2zm] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Pages/User/LicenseOK.razor.rz.scp.css */
body[b-qlesbjt53c] {
}

#tip[b-qlesbjt53c] {
    text-align: center;
    font-size: 18px;
    padding: 30px;
    border: 1px solid #cfa0a0;
}

/* /Pages/User/MemberLayout.razor.rz.scp.css */
.page[b-dwnuoux9ay] {
    position: relative;
    display: flex;
    flex-direction: column;
}

.main[b-dwnuoux9ay] {
    flex: 1;
}

.sidebar[b-dwnuoux9ay] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-dwnuoux9ay] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-dwnuoux9ay]  a, .top-row .btn-link[b-dwnuoux9ay] {
        white-space: nowrap;
        margin-left: 1.5rem;
    }

    .top-row a:first-child[b-dwnuoux9ay] {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row:not(.auth)[b-dwnuoux9ay] {
        display: none;
    }

    .top-row.auth[b-dwnuoux9ay] {
        justify-content: space-between;
    }

    .top-row a[b-dwnuoux9ay], .top-row .btn-link[b-dwnuoux9ay] {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-dwnuoux9ay] {
        flex-direction: row;
    }

    .sidebar[b-dwnuoux9ay] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-dwnuoux9ay] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .main > div[b-dwnuoux9ay] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}
/* /Pages/User/MemberMenu.razor.rz.scp.css */
.navbar-toggler[b-2a355qyfg6] {
    background-color: rgba(255, 255, 255, 0.1);
}

.top-row[b-2a355qyfg6] {
    height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-2a355qyfg6] {
    font-size: 1.1rem;
}

.oi[b-2a355qyfg6] {
    width: 2rem;
    font-size: 1.1rem;
    vertical-align: text-top;
    top: -2px;
}

.nav-item[b-2a355qyfg6] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-2a355qyfg6] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-2a355qyfg6] {
        padding-bottom: 1rem;
    }

    .nav-item[b-2a355qyfg6]  a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

.nav-item[b-2a355qyfg6]  a.active {
    background-color: rgba(255,255,255,0.25);
    color: white;
}

.nav-item[b-2a355qyfg6]  a:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

@media (min-width: 641px) {
    .navbar-toggler[b-2a355qyfg6] {
        display: none;
    }

    .collapse[b-2a355qyfg6] {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}
/* /Pages/User/ModifyPassword.razor.rz.scp.css */
.modifypassword-page[b-qxa94g13jn] {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #f5f5f5;
}

.register-card[b-qxa94g13jn] {
    border-radius: 8px; /* 卡片圆角 */
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); /* 卡片阴影 */
}

.register-table[b-qxa94g13jn] {
    width: 100%; /* 表格宽度100% */
    border-collapse: collapse; /* 去除内边距 */
}

    .register-table td[b-qxa94g13jn] {
        padding: 8px; /* 单元格内边距 */
    }

.register-label[b-qxa94g13jn] {
    width: 100px; /* 标签宽度固定，以确保对齐 */
    text-align: right; /* 标签文字右对齐 */
}
/* /Pages/User/TopicList.razor.rz.scp.css */
body[b-w00duq3xel] {
}

#tip[b-w00duq3xel] {
    text-align: center;
    font-size: 18px;
    padding: 30px;
    border: 1px solid #cfa0a0;
}

.item_head li[b-w00duq3xel] {
    list-style: none;
    display: inline-block;
}
.item_content[b-w00duq3xel] {
    width: 60%;
}

.item_view[b-w00duq3xel] {
    text-align: center;
    width: 220px;
}

.item_other[b-w00duq3xel] {
    text-align: center;
    width: 220px;
}

/* /Pages/User/TopicView.razor.rz.scp.css */
body[b-22tee359b8] {
}

.page[b-22tee359b8] {
    margin-left: 20px;
}

.item_head[b-22tee359b8]
{
    font-weight: bold;
}
.item_head li[b-22tee359b8] {
    list-style: none;
    display: inline-block;
}

/* /Pages/User/wxpay/WXNativePay.razor.rz.scp.css */
body[b-2ly3kayeum] {
}

li[b-2ly3kayeum] {
    list-style: none;
    display: inline-block;
}

ul[b-2ly3kayeum] { margin:0px; padding:0px; }

td[b-2ly3kayeum] {
    height: 40px;
    vertical-align: middle;
}

#qrcode_border[b-2ly3kayeum] {
    border:1px solid #ccc; 
    padding:10px;
    width: 250px;
    margin: 10px auto 10px;
}

#tip[b-2ly3kayeum] {
    text-align: center;
    font-size: 16px;
    padding: 30px;
}

